# Method Protocols.SNMP.protocol()->get_response()

Method get_response

  `int get_response(mapping varlist, mapping origdata, int|void errcode, int|void erridx)`

Description

  GetResponse-PDU call

Parameter `varlist`

  a mapping containing data to return

  `oid1 : array`

  Array
  `string type` | data type such as tick, oid, gauge, etc
  `mixed data` | data to return for oid1

  `oid2 : array`

  Array
  `string type` | data type such as tick, oid, gauge, etc
  `mixed data` | data to return for oid2

  `oidn : array`

  Array
  `string type` | data type such as tick, oid, gauge, etc
  `mixed data` | data to return for oidn

Parameter `origdata`

  original received decoded pdu that this response corresponds to

Parameter `errcode`

  error code

Parameter `erridx`

  error index

Returns

  request ID